Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.hotglue.com/{env_id}/jobs/queued \ --header 'x-api-key: <api-key>'
{ "queued_jobs": [ { "id": 101, "env_id": "test-env", "tenant_id": "tenant-123", "flow_id": "customer-sync", "status": "QUEUED", "created_at": "2026-01-02T03:04:05+00:00", "updated_at": "2026-01-02T03:05:06+00:00", "job_name": "Nightly customer sync", "override_start_date": "2026-01-01T00:00:00Z", "override_end_date": null, "override_selected_tables": { "customer": true, "orders": false }, "override_field_map": null, "override_env_vars": { "DEBUG": "true" }, "override_source_config": null, "override_target_config": null, "override_connector_config": null, "override_lifecycle_webhook": { "url": "https://example.com", "secret": "some-secret" } } ] }
Returns queued jobs for an environment across flows/users.
ID of environment
200
Show child attributes